<?php

declare(strict_types=1);

namespace App\Service;

use Doctrine\ORM\EntityManager;
use Psr\Container\ContainerInterface;

class JudgeManagerFactory
{
    public function __invoke(ContainerInterface $container): JudgeManager
    {
        $entityManager = $container->get(EntityManager::class);
        return new JudgeManager($entityManager);
    }
}
